# $Revision: 1.19 $, $Date: 2003/02/01 23:49:12 $
Summary:	bbkeys, a completely configurable key-combo grabber for blackbox
Summary(pl):	Cakowicie konfigurowalny przechwytywacz klawiszy dla blackboksa
Name:		bbkeys
Version:	0.8.6
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/bbkeys/%{name}-%{version}.tar.gz
Patch0:		%{name}-sysconfdir.patch
Patch1:		%{name}-ac_fixes.patch
URL:		http://bbkeys.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir		/etc/default

%description
bbkeys is a configurable key-grabber designed for the blackbox window
manager which is written by Brad Hughes. It is based on the bbtools
object code created by John Kennis and re-uses some of the blackbox
window manager classes as well. bbkeys is easily configurable via
directly hand-editting the user's ~/.bbkeysrc file, or by using the
provided gui configuration tool, bbkeysconf (for lack of a better name
yet).

%description -l pl
bbkeys jest konfigurowalnym programem do przechwytywania klawiszy
zaprojektowanym dla zarzdcy okien blackbox, napisanego przez Brada
Hughesa. Bazuje na kodzie obiektowym bbtools napisanym przez Johna
Kennisa, uywa take niektrych klas blackboksa. bbkeys s atwo
konfigurowalne przez bezporedni edycj pliku uytkownika ~/.bbkeysrc,
albo poprzez graficzny interfejs bbkeysconf (z braku lepszej nazwy).

%prep
%setup  -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog NEWS TODO
%dir %{_sysconfdir}/bbtools
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/bbtools/%{name}.*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: bbkeys.spec,v $
Revision 1.19  2003/02/01 23:49:12  kloczek
- updated to 0.8.6,
- more fixes in sysconfdir patch (added missing fixes in mana pages),
- added ac_fixes patch,
- use /etc/default ad %%{_sysconfdir},
- added %dir %%{_sysconfdir}/bbtools to %files,
- du not use %%{__cc} ac %%{__cxx} (now bbkeys is real C++ program), added
  libstdc++-devel to BuildRequires and added -fno-rtti -fno-exceptions to
  CXXFLAGS for better optimizations.

Revision 1.18  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.17  2002/12/12 01:33:20  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.16  2002/09/22 14:53:08  kloczek
- release 4: use new %doc.

Revision 1.15  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/04/25 15:51:45  arturs
fixed a small typo

Revision 1.13  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.12  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/23 20:06:03  filon
- added sysconfdir patch (moves conf. files to /etc)
- config files are noreplace, noverify etc (you want to customize your blackbox, huh?)
- release 3

Revision 1.10  2002/01/23 10:53:05  filon
- added man to files
- config files are now %%config
- added some docs
- release 2

Revision 1.9  2002/01/23 10:35:10  qboosh
- updated URLs

Revision 1.8  2002/01/23 00:21:05  filon
- updated to 0.8.4
- moved configure+stuff to build, not prep

Revision 1.7  2002/01/18 02:12:29  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/07 13:47:17  qboosh
- pl translations

Revision 1.5  2001/09/20 06:14:09  kloczek
- updated to 0.8.3.

Revision 1.4  2001/08/10 12:34:25  kloczek
- updated to 0.8.2.

Revision 1.3  2001/07/15 11:24:12  kloczek
- as same as in bbpager pass CXX="%%{__cc}" to make parameters,
- replace libstdc++-devel by XFree86-devel in BuildRequires rules.

Revision 1.2  2001/07/15 10:27:38  kloczek
- cosmetics,
- corrected Source url,
- added missing BuildRequires rules.

Revision 1.1  2001/07/14 12:45:49  waszi
- initial release
